import request from "@/utils/request";

//台账质量统计表
export function getLedgerDataQualityStat(data) {
    return request({
        url: "/device-boot/dataQualityStat/getLedgerDataQualityStat",
        method: "post",
        data,
    });
}
//监测指标数据质量统计
export function getMonitoringIndexDataQualityStat(data) {
    return request({
        url: "/device-boot/dataQualityStat/getMonitoringIndexDataQualityStat",
        method: "post",
        data,
    });
}

//监测指标数据质量统计
export function getMonitorIntegrityData(data) {
    return request({
        url: "/device-boot/monitorIntegrity/getMonitorIntegrityData",
        method: "post",
        data,
    });
}

//监测指标数据质量问题汇总统计
export function getSummaryStatOfMonitoringIndexDataQualityProblems(data) {
    return request({
        url: "/device-boot/dataQualityStat/getSummaryStatOfMonitoringIndexDataQualityProblems",
        method: "post",
        data,
    });
}
//台账类数据质量核查
export function getQualityCheckOfAccountData(data) {
    return request({
        url: "/device-boot/dataQualityCheck/getQualityCheckOfAccountData",
        method: "post",
        data,
    });
}
//监测指标数据质量核查
export function getMonitoringIndexDataQualityVerification(data) {
    return request({
        url: "/device-boot/dataQualityCheck/getMonitoringIndexDataQualityVerification",
        method: "post",
        data,
    });
}

//监测点台账数据质量问题
export function getQualityProblemsOfMonitoringPointAccountData(data) {
    return request({
        url: "/device-boot/dataQualityDetails/getQualityProblemsOfMonitoringPointAccountData",
        method: "post",
        data,
    });
}
//牵引站台账数据质量问题
export function getTractionPlatformAccountDataQualityProblem(data) {
    return request({
        url: "/device-boot/dataQualityDetails/getTractionPlatformAccountDataQualityProblem",
        method: "post",
        data,
    });
}
//稳态指标类数据质量问题查询
export function getRStatTargetDetail(data) {
    return request({
        url: "/device-boot/dataQualityDetails/getRStatTargetDetail",
        method: "post",
        data,
    });
}
